// Create closure.
(function( $ ) {
 
	// Plugin definition.
    $.fn.lsShareBar = function( options ) {

        var container = this;
        var container_id = $(container).attr("id");
        
         var settings = $.extend({
            // These are the defaults.
            actionLink: "http://www.lastampa.it",
            redirectUri: "",
            crossDomain: false,
            twitterMention: "",
            actionParams: {
            	title: $('meta[property="og:title"]').attr("content"),
            	linkBack: $('meta[property="og:url"]').attr("content"),
            	description: $('meta[property="og:description"]').attr("content")
            },
            callback: function() {},
        }, options );
        
        var act = new gigya.socialize.UserAction();
    
	    act.setTitle(settings.actionParams.title);  // Setting the Title
	    act.setLinkBack(settings.actionParams.linkBack);  // Setting the Link Back
	    act.setDescription(settings.actionParams.description);   // Setting Description
	    act.addActionLink("Read More", settings.actionLink);  // Adding Action Link
		
		var pathImg = "/modulo/gigya/img/";
		
		if(settings.crossDomain){
			pathImg = "http://www.lastampa.it" + pathImg;
		}
		
		var twitterShareType;
		
		if(settings.twitterMention == ""){
			twitterShareType = {
				provider:'twitter',
                tooltip:'Recommend this on Twitter',
                iconImgUp: pathImg + 'twitter.png'
			};
		}else{
			var twitterAction = new gigya.socialize.UserAction();
		
			twitterAction.setTitle(settings.actionParams.title + " " + settings.twitterMention);  // Setting the Title
		    twitterAction.setLinkBack(settings.actionParams.linkBack);  // Setting the Link Back
		    twitterAction.setDescription(settings.actionParams.description);   // Setting Description
		    twitterAction.addActionLink("Read More", settings.actionLink);  // Adding Action Link
			
			twitterShareType = {
				provider:'twitter',
                tooltip:'Recommend this on Twitter',
                iconImgUp: pathImg + 'twitter.png',
                userAction: twitterAction
			};
		}
		
		var shareBarParams = {
	        shareButtons:
	        [
	        	{ // Facebook
	                provider:'facebook',
	                tooltip:'Recommend this on Facebook',
	                action: 'like',
	                iconImgUp: pathImg + 'facebook.png'
	            },
	            twitterShareType,
	            { // Google+
	                provider:'googleplus',
	                tooltip:'Recommend this on Google',
	                iconImgUp: pathImg + 'googleplus.png'
	            },
	            { // LinkedIn
	                provider:'linkedin',
	                tooltip:'Recommend this on LinkedIn',
	                iconImgUp: pathImg + 'linkedin.png'
	            },
	            { // LinkedIn
	                provider:'instagram',
	                tooltip:'Recommend this on Instagram',
	                iconImgUp: pathImg + 'instagram.png'
	            }
	        ],
	        shortURLs: 'never',
	        redirect_uri: settings.redirectUri,
	        layout:'horizontal',
	        facebookDialogType: 'share',
	        userAction:act,
	        containerID: container_id,
	        moreEnabledProviders: "amazon",
	        buttonTemplate: '<div class="buttonTemplate" onclick="$onClick"><img src="$iconImg" alt="" /></div>',
	        buttonWithCountTemplate: '<div class="buttonWithCountTemplate" onclick="$onClick"><img src="$iconImg" alt="" /><span class="count">$count</span></div>',
	    	onLoad: function(){

		    	if(device !== undefined && device.mobile()){

		    		var whatsappButton = $("<td style=\"vertical-align:bottom; white-space:nowrap;zoom:1;\"><div class=\"gig-button-container\"><div class=\"buttonTemplate whatsapp\"><img src=\"" + pathImg + "whatsapp.png?_=1\" alt=\"\" /></div></div></td>");
		    	
		    		$("#" + container_id + " table tbody tr").append(whatsappButton);
		    		
		    		whatsappButton.click(function(){
		    			//alert("whatsapp://send?text=" + $('meta[property="og:title"]').attr("content") + " - " + $('meta[property="og:url"]').attr("content"));
		    			location.href = "whatsapp://send?text=" + $('meta[property="og:title"]').attr("content") + " - " + $('meta[property="og:url"]').attr("content");
		    		});
		    	}
		    	
		    	settings.callback.call(this);
		    }
	    };

		gigya.socialize.showShareBarUI(shareBarParams);
    };
 
// End of closure.
 
})( jQuery );