(function($) {
	$.lsCE.loadCachedResource("/common/js/customelements/lsCE-multimedia.js", "script");
	$.lsCE.loadCachedResource("/common/js/customelements/multimedia/lsCE-multimedia_video-art.css?id=3", "css");

	$.lsCE.multimedia.videoART = document.registerElement('ls-videoart', {
			prototype: Object.create(
				HTMLElement.prototype, {
					createdCallback : { //inizializzazione oggetto
						value : function() {
							var _embedVideo = this;
							var reference = $("<div class='embed-ref'></div>");
							var content = $("<div class='embed-cont'></div>");
							var dida = $(".embed-dida", $(_embedVideo));
							
							var timestamp = new Date().getTime();
							
							var titolo = $(".embed-titolo", $(_embedVideo));
							var url = $(".embed-url", $(_embedVideo));
							var sharebar = $("<div class='embed-ls-share' id='embed-" + _embedVideo.getAttribute("data-galleryID") + "'></div>");
							
							var thumb = $(".embed-thumb", $(_embedVideo));
							var playBtn = $("<div class='embed-playBtn'></div>");
							playBtn.append($.lsCE.iconaQuadrata(4, 4, ""));
							playBtn.bind({
								"click" : function() {
									_embedVideo.open();
								}
							});
							
							dida.append(sharebar);
							dida.after(playBtn);
							
							dida.css("display", "none");
							
							$(sharebar).lsShareBar({
								actionLink: "http://www.lastampa.it",
								redirectUri: "https://lastampa.it/GS/bookmark.aspx?close=true",
								crossDomain: false,
								actionParams: {
							    	title: titolo.text(),
							    	linkBack: url.text(),
							    	description: dida.text()
							    },
							    callback: function(){}
							});
							
							content.append($(_embedVideo).children());
							$(_embedVideo).append(content);

							$(_embedVideo).append(reference);
							reference.height(content.height());
						}
					},
					close : {
						value : function() {
							var _embedVideo = this;
							var closer = $(".embed_closer", $(_embedVideo));
							var ifra = $("iframe", $(_embedVideo));
							var over = $(".embed_overlay", $(_embedVideo));
							var thumb = $(".embed-thumb", $(_embedVideo));
							var content = $(".embed-cont", $(_embedVideo));
							var dida = $(".embed-dida", $(_embedVideo));
							var playBtn = $(".embed-playBtn", $(_embedVideo));
							playBtn.show();
							
							if (!device.mobile()) {
								content.css("width", "678.5px");
								thumb.css("float", "none");
							}
							
							if(device.mobile()){
								var clearClose = $(".clear-close", $(_embedVideo));
								clearClose.remove();
							}
							
							dida.css("display", "none");
							
							closer.remove();
							ifra.remove();
							over.remove();
							thumb.show();
						}
					},
					open : {
						value : function() {
							var _embedVideo = this;
							var reference = $(".embed-ref", $(_embedVideo));
							var content = $(".embed-cont", $(_embedVideo));
							var dida = $(".embed-dida", $(_embedVideo));
							var thumb = $(".embed-thumb", $(_embedVideo));
							var titolo = $(".embed-titolo", $(_embedVideo));
							
							var playBtn = $(".embed-playBtn", $(_embedVideo));
							playBtn.hide();
							
							dida.css("display", "block");
							
							var closer = $.lsCE.iconaQuadrata(0, 2, "embed_closer");
							var closerClone = closer.clone();
							closer.bind({
								"click" : function() {
									_embedVideo.close();
								}
							});
							closerClone.bind({
								"click" : function() {
									_embedVideo.close();
								}
							});
							
							if(device.mobile()){
								var clearClose = $j("<div class='fclear clear-close'></div>");
								titolo.before(closerClone, clearClose.clone());
								dida.after(closer, clearClose);
							}else{
								content.append(closer);
							}
							
							if (!device.mobile()) {
								var over = $j("<div class='embed_overlay'></div>");
								$(_embedVideo).append(over);
								content.css("width", "calc(1024px - 1.5rem)");
								content.css("overflow", "hidden");
								thumb.width("650px");
								thumb.css("float", "left");
								dida.width("300px");
								dida.css("float", "right");
								dida.css("overflow-y", "auto");
								
								over.bind({
									"click" : function() {
										_embedVideo.close();
									}
								});
								
							}
							wid = thumb.width();
							hei = thumb.height();
							var ifra = $("<iframe src=\"/modulo/slideshow/jsp/video_embed.jsp?u=" + _embedVideo.getAttribute("data-galleryID") + "&w=" + wid + "&h=" + hei + "&t=embed_EMB\" allowfullscreen></iframe>");
							ifra.width(wid);
							ifra.height(hei);
							thumb.hide();
							if (device.mobile()) {
								ifra.insertBefore(dida);
							}
							else {
								content.append(ifra);
							}
						}
					}
				}
			)
		}
	);
}( window.jQuery ));