var ViewportSensitive = {

	_viewportsensitives: [],

	add: function(element, callback){
		
		sensitiveElement = {
			e: element,
			c: callback
		}

		this._viewportsensitives.push(sensitiveElement);
	},

	init: function(){
		
		var that = this;

		window.addEventListener("scroll", function(){
			that._viewportsensitives.every(that.callbackWithPercentages);
		});
	},

	empty: function(){
		_viewportsensitives = [];
	},

	list: function(){
		return _viewportsensitives;
	},

	callbackWithPercentages: function(element, index){

		if(typeof element.c === 'function'){

			var eBoundingClientRect = element.e.getBoundingClientRect();
			var w = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
			var h = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);

	/*
			5 = x% 250;
			5 * 100/x = 250;
			5 * 100 = 250 * x;
			5 * 100 / 250 = x;
	*/

			var top = eBoundingClientRect.top * 100 / h;
			var right = eBoundingClientRect.right * 100 / w;
			var bottom = eBoundingClientRect.bottom * 100 / h;
			var left = eBoundingClientRect.left * 100 / w;

			var args = {
				top: top,
				right: right,
				bottom: bottom,
				left: left
			};

			element.c(args);
		}
	},
	
	calcPercent: function(element){
		var eBoundingClientRect = element.getBoundingClientRect();
		var w = Math.max(document.documentElement.clientWidth, window.innerWidth || 0);
		var h = Math.max(document.documentElement.clientHeight, window.innerHeight || 0);

		var top = eBoundingClientRect.top * 100 / h;
		var right = eBoundingClientRect.right * 100 / w;
		var bottom = eBoundingClientRect.bottom * 100 / h;
		var left = eBoundingClientRect.left * 100 / w;

		return args = {
			top: top,
			right: right,
			bottom: bottom,
			left: left
		};

	}

}